GMX-DYNDOM(1)

NAME
gmx-dyndom - Interpolate and extrapolate structure rotations

SYNOPSIS

gmx dyndom [-f [<.pdb>]] [-n [<.ndx>]] [-o [<.xtc/.trr/...>]]
           [-firstangle <real>] [-lastangle <real>] [-nframe <int>]
           [-maxangle <real>] [-trans <real>] [-head <vector>]
           [-tail <vector>]

DESCRIPTION

gmx dyndom reads a .pdb file output from DynDom (http://www.cmp.uea.ac.uk/dyndom/). It reads the coordinates, the coordinates of the rotation axis, and an index file containing the domains. Furthermore, it takes the first and last atom of the arrow file as command line arguments (head and tail) and finally it takes the translation vector (given in DynDom info file) and the angle of rotation (also as command line arguments). If the angle determined by DynDom is given, one should be able to recover the second structure used for generating the DynDom output. Because of limited numerical accuracy this should be verified by computing an all-atom RMSD (using gmx confrms) rather than by file comparison (using diff).

The purpose of this program is to interpolate and extrapolate the rotation as found by DynDom. As a result unphysical structures with long or short bonds, or overlapping atoms may be produced. Visual inspection, and energy minimization may be necessary to validate the structure.

OPTIONS

Options to specify input files:

-f [<.pdb>] (dyndom.pdb)
    Protein data bank file

-n [<.ndx>] (domains.ndx)
    Index file

    Options to specify output files:

-o [<.xtc/.trr/…>] (rotated.xtc)
    Trajectory: xtc trr gro g96 pdb tng

    Other options:

-firstangle <real> (0)
    Angle of rotation about rotation vector

-lastangle <real> (0)
    Angle of rotation about rotation vector

-nframe <int> (11)
    Number of steps on the pathway

-maxangle <real> (0)
    DymDom dtermined angle of rotation about rotation vector

-trans <real> (0)
    Translation (Angstrom) along rotation vector (see DynDom info file)

-head <vector> (0 0 0)
    First atom of the arrow vector

-tail <vector> (0 0 0)
    Last atom of the arrow vector

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2018, GROMACS development team